Page MenuHomePhabricator

Spike: Deploy pilot new queue consumer
Closed, ResolvedPublic1 Story Points

Description

This will be our pilot deployment. Pick a harmless queue and/or a new queue, start reading via php-queue+Redis, and let it burn in. Verify that we're actually reading from the new queue and not the old one, etc.

Take all the sweet time doing this right.

Event Timeline

awight created this task.Mar 17 2016, 9:19 PM
DStrine set the point value for this task to 4.Mar 22 2016, 7:15 PM
awight renamed this task from Migrate a single, low-volume queue consumer to Redis to Migrate a single, low-volume queue consumer to Kafka.Mar 30 2016, 6:19 PM
awight updated the task description. (Show Details)
awight updated the task description. (Show Details)Mar 30 2016, 6:48 PM
awight renamed this task from Migrate a single, low-volume queue consumer to Kafka to Migrate a single, low-volume queue consumer to Kafka; pilot consumer dequeue loop.Mar 30 2016, 6:53 PM
awight updated the task description. (Show Details)
atgo removed a subscriber: atgo.Mar 30 2016, 8:30 PM
awight renamed this task from Migrate a single, low-volume queue consumer to Kafka; pilot consumer dequeue loop to [Epic] Deploy new queue to a pilot topic.Jul 15 2016, 1:40 AM
awight added a project: Epic.
awight updated the task description. (Show Details)
awight removed the point value for this task.
awight renamed this task from [Epic] Deploy new queue to a pilot topic to [Epic] Deploy pilot new queue consumer.Jul 27 2016, 9:04 PM
awight renamed this task from [Epic] Deploy pilot new queue consumer to Deploy pilot new queue consumer.
awight moved this task from Backlog to Main queues on the FR-ActiveMQ board.

Looks like this will be the pending queue.

DStrine set the point value for this task to 2.Jul 29 2016, 8:25 PM
awight renamed this task from Deploy pilot new queue consumer to Spike: Deploy pilot new queue consumer.Aug 16 2016, 5:36 PM
awight changed the point value for this task from 2 to 1.
awight edited projects, added Spike; removed Epic.
awight closed this task as Resolved.Aug 31 2016, 10:40 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:44 PM